Bug 98055 - lucene indexing of p2fs content
Summary: lucene indexing of p2fs content
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-25 20:36 UTC by Richard Li
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 08:43:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Li 2003-06-25 20:36:33 UTC
Something which may be interesting for other projects: 

For FranceTV, we have implemented Lucene indexing of content published
to the filesystem. This is done by maintaining a Lucene index which is
separate from the search engine we have on the editorial server. 

The changelist is 32335, and basically involves two new methods in
PublishToFile which can be overriden in derived classes
(indexSearchContent and unindexSearchContent). For computing the indexed
content, we use the Lucene Adapter class that's part of the existing
search engine.

The location of the PFS Lucene index is controlled with this section in
enterprise.init:

init com.arsdigita.cms.publishToFile.LuceneInitializer {
    // Settings for indexing PFS content with Lucene.
    luceneIndexLocation = "/tmp/lucene-index.dat";
}

And publishListener has to be changed to:

publishListener = "com.arsdigita.cms.publishToFile.LucenePublishToFile";

Documentation can be found in the JavaDoc of
com.arsdigita.cms.publishToFile and LucenePublishToFile, and in
//ps/proj/francetv/dev/ftvi/doc/lucene-pfs-indexing.html.


Expected results:


Additional info:

Comment 1 Carsten Clasohm 2003-07-11 11:49:08 UTC
I have changed the implementation in the meantime. See changelist 33226.


Comment 2 Carsten Clasohm 2006-07-12 08:43:24 UTC
Closing old tickets.



Note You need to log in before you can comment on or make changes to this bug.